<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: MemberExprProp Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_member_expr_prop.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_member_expr_prop-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MemberExprProp Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for MemberExprProp:</div>
<div class="dyncontent">
<div class="center"><img src="struct_member_expr_prop__coll__graph.png" border="0" usemap="#_member_expr_prop_coll__map" alt="Collaboration graph"/></div>
<map name="_member_expr_prop_coll__map" id="_member_expr_prop_coll__map">
<area shape="rect" title=" " alt="" coords="5,303,140,329"/>
<area shape="rect" href="struct_total_location_info.html" title=" " alt="" coords="6,213,139,240"/>
<area shape="rect" href="struct_exp_eval_result.html" title=" " alt="" coords="15,124,130,151"/>
<area shape="rect" href="struct_exp_eval.html" title=" " alt="" coords="35,5,110,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab43cd2d9250c32d4779c7c800cc72b11"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_member_expr_prop.html#ab43cd2d9250c32d4779c7c800cc72b11">isMemberExpr</a></td></tr>
<tr class="separator:ab43cd2d9250c32d4779c7c800cc72b11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab522fae571f022f9f45b16e9ebb3cc49"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_member_expr_prop.html#ab522fae571f022f9f45b16e9ebb3cc49">name</a></td></tr>
<tr class="separator:ab522fae571f022f9f45b16e9ebb3cc49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2dd3965d742282b08b7cf8a1b63f07d"><td class="memItemLeft" align="right" valign="top">ValueDecl *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_member_expr_prop.html#aa2dd3965d742282b08b7cf8a1b63f07d">getMemberDecl</a></td></tr>
<tr class="separator:aa2dd3965d742282b08b7cf8a1b63f07d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa53da5c129dac567118486ab02f439d5"><td class="memItemLeft" align="right" valign="top">const RecordDecl *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_member_expr_prop.html#aa53da5c129dac567118486ab02f439d5">getParent</a></td></tr>
<tr class="separator:aa53da5c129dac567118486ab02f439d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a240f11e65d3dddc1054852526bc330"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_member_expr_prop.html#a8a240f11e65d3dddc1054852526bc330">parentname</a></td></tr>
<tr class="separator:a8a240f11e65d3dddc1054852526bc330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad85af5f7d1ac9470b9a6280676ec6f72"><td class="memItemLeft" align="right" valign="top">TypedefNameDecl *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_member_expr_prop.html#ad85af5f7d1ac9470b9a6280676ec6f72">parenttypedef</a></td></tr>
<tr class="separator:ad85af5f7d1ac9470b9a6280676ec6f72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65c64578070e879178099a181ee15494"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_member_expr_prop.html#a65c64578070e879178099a181ee15494">parentTypeDefname</a></td></tr>
<tr class="separator:a65c64578070e879178099a181ee15494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac812b1fa20af33d6811767d865fdd39e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_member_expr_prop.html#ac812b1fa20af33d6811767d865fdd39e">MemberPosition</a></td></tr>
<tr class="separator:ac812b1fa20af33d6811767d865fdd39e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa2dd3965d742282b08b7cf8a1b63f07d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2dd3965d742282b08b7cf8a1b63f07d">&#9670;&nbsp;</a></span>getMemberDecl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ValueDecl* MemberExprProp::getMemberDecl</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa53da5c129dac567118486ab02f439d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa53da5c129dac567118486ab02f439d5">&#9670;&nbsp;</a></span>getParent</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const RecordDecl* MemberExprProp::getParent</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab43cd2d9250c32d4779c7c800cc72b11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab43cd2d9250c32d4779c7c800cc72b11">&#9670;&nbsp;</a></span>isMemberExpr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool MemberExprProp::isMemberExpr</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac812b1fa20af33d6811767d865fdd39e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac812b1fa20af33d6811767d865fdd39e">&#9670;&nbsp;</a></span>MemberPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> MemberExprProp::MemberPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab522fae571f022f9f45b16e9ebb3cc49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab522fae571f022f9f45b16e9ebb3cc49">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string MemberExprProp::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a240f11e65d3dddc1054852526bc330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a240f11e65d3dddc1054852526bc330">&#9670;&nbsp;</a></span>parentname</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string MemberExprProp::parentname</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad85af5f7d1ac9470b9a6280676ec6f72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad85af5f7d1ac9470b9a6280676ec6f72">&#9670;&nbsp;</a></span>parenttypedef</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TypedefNameDecl* MemberExprProp::parenttypedef</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a65c64578070e879178099a181ee15494"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65c64578070e879178099a181ee15494">&#9670;&nbsp;</a></span>parentTypeDefname</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string MemberExprProp::parentTypeDefname</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_member_expr_prop.html">MemberExprProp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
